---
title: Requesting Accounts
#tags:
keywords: registration, register, account, merlin5, merlin6, snow, service now
last_updated: 07 September 2022
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/request-account.html
---

Requesting access to the cluster must be done through **[PSI Service Now](https://psi.service-now.com/psisp)** as an
*Incident Request*. AIT and us are working on a ServiceNow integrated form to ease this process in the future.

Due to the ticket *priority* being *Low* for non-emergency requests of this kind, it might take up to 56h in the worst case until access to the cluster is granted (raise the priority if you have strong reasons for faster access) .

---

## Requesting Access to Merlin6

Access to Merlin6 is regulated by a PSI user's account being a member of the **svc-cluster_merlin6** group.

Registration for **Merlin6** access *must be done* through **[PSI Service Now](https://psi.service-now.com/psisp)**:

* Please open a ticket as *Incident Request*, with subject:

   ```
   Subject: [Merlin6] Access Request for user xxxxx
   ```

* Text content (please use always this template and fill the fields marked by `xxxxx`):

   ```
   Dear HelpDesk,
 
   I would like to request access to the Merlin6 cluster. This is my account information
   * Last Name: xxxxx
   * First Name: xxxxx
   * PSI user account: xxxxx

   Please add me to the following Unix groups:
    * 'svc-cluster_merlin6'

   Thanks,
   
   ```

---

## Requesting Access to Merlin5

Merlin5 computing nodes will be available for some time as a **best effort** service.
For accessing the old Merlin5 resources, users should belong to the **svc-cluster_merlin5** Unix Group.

Registration for **Merlin5** access *must be done* through **[PSI Service Now](https://psi.service-now.com/psisp)**:

* Please open a ticket as *Incident Request*, with subject:

   ```
   Subject: [Merlin5] Access Request for user xxxxx
   ```

* Text content (please use always this template):

* Text content (please use always this template and fill the fields marked by `xxxxx`):

   ```
   Dear HelpDesk,
 
   I would like to request access to the Merlin5 cluster. This is my account information
   * Last Name: xxxxx
   * First Name: xxxxx
   * PSI user account: xxxxx

   Please add me to the following Unix groups:
    * 'svc-cluster_merlin5'

   Thanks,
   
   ```

Alternatively, if you want to request access to both Merlin5 and Merlin6, you can request it in the same ticket as follows:
* Use the template **[Requesting Access to Merlin6](##Requesting-Access-to-Merlin6)** 
* Add the **``'svc-cluster_merlin5'``** Unix Group after the line containing the merlin6 group  **`'svc-cluster_merlin6'`**)

---

## Requesting extra Unix groups

Some users may require to be added to some extra specific Unix groups.
* This will grant access to specific resources.
   * In example, some BIO groups may belong to a specific BIO group for having access to the project area for that group.
* Supervisors should inform new users which extra groups are needed for their project(s).

When requesting access to **[Merlin6](##Requesting-Access-to-Merlin6)** or **[Merlin5](##Requesting-Access-to-Merlin5)**, 
these extra Unix Groups can be added in the same *Incident Request* by supplying additional lines specifying the respective Groups.

Naturally, this step can also be done later when the need arises in a separate **[PSI Service Now](https://psi.service-now.com/psisp)** ticket.

* Please open a ticket as *Incident Request*, with subject:

   ```
   Subject: [Unix Group] Access Request for user xxxxx
   ```

* Text content (please use always this template):

   ```
   Dear HelpDesk,

   I would like to request membership for the Unix Groups listed below. This is my account information
   * Last Name: xxxxx
   * First Name: xxxxx
   * PSI user account: xxxxx
   
   List of unix groups I would like to be added to:
    * unix_group_1
    * unix_group_2
    * ...
    * unix_group_N

   Thanks,
   ```

**Important note**: Requesting access to specific Unix Groups will require validation from the responsible of the Unix Group. If you ask for inclusion in many groups it may take longer, since the fulfillment of the request will depend on more people.
