---
title: Requesting a Project
#tags:
keywords: merlin project, project, snow, service now
last_updated: 07 September 2022
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/request-project.html
---

A project owns its own storage area which can be accessed by the storage members.
Projects can receive a higher storage quota than user areas and should be the primary way of organizing bigger storage requirements
in a multi-user collaboration.

Access to a project's directories is governed by project members belonging to a common **Unix group**. You may use an existing
Unix group or you may have a new Unix group created especially for the project. The **project responsible** will be the owner of
the Unix group (this is important)!

The **default storage quota** for a project is 1TB (with a maximal *Number of Files* of 1M). If you need a larger assignment, you
need to request this and provide a description of your storage needs.

To request a project, please provide the following information in a **[PSI Service Now ticket](https://psi.service-now.com/psisp)**

* Please open an *Incident Request* with subject:
   ```
   Subject: [Merlin6] Project Request for project name xxxxxx
   ```

* and base the text field of the request on this template
   ```
   Dear HelpDesk
   
   I would like to request a new Merlin6 project.
   
   Project Name: xxxxx
   UnixGroup: xxxxx    # Must be an existing Unix Group

   The project responsible is the Owner of the Unix Group.
   If you need a storage quota exceeding the defaults, please provide a description
   and motivation for the higher storage needs:
   
   Storage Quota: 1TB with a maximum of 1M Files
   Reason: (None for default 1TB/1M)

   Best regards,
   ```

**If you need a new Unix group** to be created, you need to first get this group through
a separate  ***[PSI Service Now ticket](https://psi.service-now.com/psisp)**. Please
use the following template. You can also specify the login names of the initial group
members and the **owner** of the group. The owner of the group is the person who
will be allowed to modify the group.

* Please open an *Incident Request* with subject:
   ```
   Subject: Request for new unix group xxxx
   ```

* and base the text field of the request on this template
   ```
   Dear HelpDesk
   
   I would like to request a new unix group.
   
   Unix Group Name: unx-xxxxx
   Initial Group Members: xxxxx, yyyyy, zzzzz, ...
   Group Owner: xxxxx

   Best regards,
   ```


